package com.heyu.api.data.service.vv;
/**
* <p>
* 包裹表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.dto.vv.KuaiDi100DTO;
import com.heyu.api.data.entity.vv.VvPackageEntity;
public interface VvPackageService extends IService<VvPackageEntity> {



	VvPackageEntity selectVvPackageById(Long id);


	Long insertVvPackage(VvPackageEntity vvPackage);


	Long insertOrUpdateVvPackage(VvPackageEntity vvPackage);


	int updateVvPackageById(VvPackageEntity vvPackage);


	int updateCoverVvPackageById(VvPackageEntity vvPackage);


	int deleteVvPackageById(Long id);


    KuaiDi100DTO selectVvKuaidiAndUpdateData(String trackNumber,String role,boolean checkExpireTime);
}